- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnIkSolver Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for inverse kinematics (IK) solvers.

This is the function set for inverse kinematics (IK) solvers. This function set is used for setting and querying attached ik solvers.

`#include <MFnIkSolver.h>`

Inheritance diagram for MFnIkSolver:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnIkSolver ()
| Destructor.
| MFnIkSolver ()
| Default constructor.
| MFnIkSolver (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
unsigned int | maxIterations (MStatus *ReturnStatus=NULL)
| Returns the maximum number of iterations used when solving.
MStatus | setMaxIterations (unsigned int maxIters)
| Sets the maximum number of iterations used when solving.
double | tolerance (MStatus *ReturnStatus=NULL)
| Returns the tolerance used when solving.
MStatus | setTolerance (double tolerance)
| Sets the tolerance used when solving.
| MFnIkSolver (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnIkSolver | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIkSolver | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kIkSolver.

Reimplemented from MFnDependencyNode.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnIkSolver".

Reimplemented from MFnDependencyNode.

unsigned int maxIterations | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Returns the maximum number of iterations used when solving.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The maximum number of iterations used by this solver when solving

Status Codes:
  - MS::kSuccess The maximum number if iterations was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxIterations | ( | unsigned int | maxIters | ) |

Search for all occurrences

Sets the maximum number of iterations used when solving.

Parameters:

  [in] | maxIters | the new value for the maximum number of iterations for the solver

Returns:
  Status Code (see below)

Status Codes:
  - MS::kSuccess The maximum number of iterations for this solver has been successfully set
  - MS::kFailure This function set has not been attached to a valid object

double tolerance | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Returns the tolerance used when solving.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The tolerance value for this solver

Status Codes:
  - MS::kSuccess The tolerance value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setTolerance | ( | double | tolerance | ) |

Search for all occurrences

Sets the tolerance used when solving.

Parameters:

  [in] | tolerance | The tolerance value to be set

Returns:
  Status Code (see below)

Status Codes:
  - MS::kSuccess The tolerance value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver
MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver MFnIkSolver